AI Sync

Builder

Builder Execution Status

GEThttps://app.rizzdial.com/api/Workflow/builder/{id}/execution-status
Builder Execution Status
curl --request GET \
  --url 'https://app.rizzdial.com/api/Workflow/builder/MQ==/execution-status?contact_id=42' \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "execution": {
    "id": 88,
    "steps": [],
    "status": "completed"
  }
}

Builder Execution Status#

Latest execution for this workflow in the builder, including steps. Pass contact_id to scope to one contact.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 workflow id from List Workflows

contact_idintegerquery

Optional contact id to filter the latest execution

curl --request GET \
  --url https://app.rizzdial.com/api/Workflow/builder/MQ==/execution-status \
  --header 'Authorization: Bearer {{bearer_token}}'
executionobject

id, status, trigger_type, contact_id, timestamps, and steps. null when none exist